package egovframework.service;

import egovframework.vo.*;

import java.util.List;
import java.util.Map;

public interface CommonService {

    //Map<String, Object> getWeatherInfo();
    WeatherInfoVO getWeatherInfo();

    List<RoadVertexArrVO> getVertexArr();

    List<RoadVertexArrVO> getLinkVertexArr();

    List<RoadVertexArrVO> getIfscVertexArr();

    List<RoadVertexArrVO> getRoadVertexArr();

    List<CctvCtlrVO> getCctvCtlr();

    CctvCtlrVO getOneCctvCtlr(String nmbr);

    List<WcamCtlrVO> getWcamCtlr();

    List<VmsCtlrVO> getVmsCtlr();

    List<IncdVO> getIncdOcrr();

    List<AtrdVO> getAtrdNm();

    List<ParkingInfoVO> getParkingInfo();

    List<ParkingInfoVO> rtParking();

    NewParkinginfoVO getNewParkingInfo(String parkId);

    List<NewParkingOccVO> getNewParkingOcc(String parkId);

    void insertUpdateLogWeb(Map<String, Object> paramMap);

    VisitCountVO getVisitCount();

    List<TaasVO> getTaasInfo();

    List<VmsCtlrVO> getVmsImgTxt(String vms_ctlr_nmbr);

    //void insertUpdateHourLogWeb(Map<String, Object> paramMap);

    //void insertUpdateDateLogWeb(Map<String, Object> paramMap);

    //void insertUpdateMonthLogWeb(Map<String, Object> paramMap);

}